# Uses of Interface
net.sf.statcvs.input.CvsLogBuilder

Packages that use CvsLogBuilder
Package
Description
net.sf.statcvs.input
This package is responsible for parsing CVS logs and working copy and creating a StatCVS model from them.

## Uses of CvsLogBuilder in net.sf.statcvs.input

Classes in net.sf.statcvs.input that implement CvsLogBuilder
Modifier and Type
Class
Description
`class`
`Builder`
Helps building the `Repository` from a CVS log.
Constructors in net.sf.statcvs.input with parameters of type CvsLogBuilder
Modifier
Constructor
Description
``
`CvsFileBlockParser(LookaheadReader logReader, CvsLogBuilder builder, boolean isFirstFile)`
Default Constructor CvsFileBlockParser.
``
`CvsLogfileParser(Reader logReader, CvsLogBuilder builder)`
Default Constructor
``
`CvsRevisionParser(LookaheadReader logReader, CvsLogBuilder builder)`
Default Constructor CvsRevisionParser.